/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

/* Scripts permettant les fenêtrages */

<!-- Fenêtre centrée de saisie complémentaire -->
function fensaisie(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,'fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Fenêtre pour appel lien externe -->
function flienexterne(page)
{
	var largeur=screen.width;
	var hauteur=screen.height;
	window.open(page,'flien',"width='+largeur+',height='+hauteur+',directories=yes,location=yes,menubar=yes,resizable=yes,scrollbars=yes,status=yes,toolbar=yes");
}

<!-- Fenêtre centrée de choix des relevés pour contrats -->
function fenchoixrel(page,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	var sitep=document.cocl_maj.sitep.checked;
	if (sitep==true)
	{
		window.open(page+'&sp=1','fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
	}
	else
	{
		window.open(page+'&sp=0','fscomp','top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
	}
}

<!-- Fenêtre centrée pour application complémentaire -->
function fenapp(page,nom,largeur,hauteur,options) {
	var top=(screen.height-hauteur)/2;
	var left=(screen.width-largeur)/2;
	window.open(page,nom,'top='+top+', left='+left+', width='+largeur+', height='+hauteur+','+options);
}

<!-- Affichage nouvelle fenêtre pour impression -->
function lanceimp(page)
{
	if ((page) && (page!=''))
	{
		var largeur=screen.width;
		var hauteur=screen.height;
		window.open(page,'impression','width='+largeur+' height='+hauteur);
	}
}

<!-- Fonction pour ouvrir une fenêtre de résumé contrat en fonction du select -->
function fen_res_cocl()
{
	var slct=document.getElementsByName('codecocl');
	var no_cocl=slct[0].value;
	if ((no_cocl) && (no_cocl!=''))
	{
		fensaisie('aff_rescocl.php?cocl='+no_cocl,900,800,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix du site -->
function fen_sites_int(cli,typ,int,sit,con)
{
	var ouvrefen=true;
	if (document.int_maj.td.value=="edit")
	{
		var codetec=document.int_maj.codetec.value;
		var tect=document.int_maj.tect.value;
		var fait=document.int_maj.fait.value;
		if (((codetec!='') && (codetec!='-1')) || (tect!='') || (fait!=''))
		{
			alert ('Il est impossible changer de site si vous avez commencé à traiter le problème.');
			ouvrefen=false;
		}
	}
	
	if ((cli) && (cli!='') && (ouvrefen==true))
	{
		fensaisie('sitesi_lst.php?cc='+cli+'&td='+typ+'&ci='+int+'&si='+sit+'&co='+con,910,650,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix de détail horaire pour une intervention -->
function fen_deth_int(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	if (document.int_maj.td.value=="edit")
	{
		var codetec=document.int_maj.codetec.value;
		if ((codetec=='') || (codetec=='-1'))
		{
			alert ('Il faut d\'abord choisir un technicien responsable du dossier.');
			ouvrefen=false;
		}
	}
	
	if (ouvrefen==true)
	{
		fensaisie(page,largeur,hauteur,options);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix de détail horaire pour un ordre -->
function fen_deth_ot(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	if (document.ot_maj.td.value=="edit")
	{
		var codetec=document.ot_maj.codetec.value;
		if ((codetec=='') || (codetec=='-1'))
		{
			alert ('Il faut d\'abord choisir un technicien responsable du dossier.');
			ouvrefen=false;
		}
	}
	
	if (ouvrefen==true)
	{
		fensaisie(page,largeur,hauteur,options);
	}
}

<!-- Fonction pour ouvrir une fenêtre de choix des problèmes -->
function fen_rpbm_int(cli,typ,int,sit)
{
	if ((cli) && (cli!=''))
	{
		var url_rpbm='rpbm_lst.php?cc='+cli+'&td='+typ+'&ci='+int+'&si='+sit;
		fensaisie(url_rpbm,1024,600,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de traitement des problèmes -->
function fen_rpbmtt_int(page,largeur,hauteur,options)
{
	var ouvrefen=true;
	var messerr = 'Erreur :\n';
	
	if (document.int_maj.tect.value == '')
	{
		messerr += "\nVous devez saisir un détail horaire et les techniciens traitants.";
		document.getElementById("f_tect").className = 'rubfrmrelief';
		document.getElementById("f_duree").className = 'rubfrmrelief';
		document.int_maj.duree.focus();
		ouvrefen = false;
	}
	else
	{
		document.getElementById("f_tect").className = 'rubfrm';
		document.getElementById("f_duree").className = 'rubfrm';
	}
	if ((document.int_maj.codetec.options[document.int_maj.codetec.selectedIndex].value == '') || (document.int_maj.codetec.options[document.int_maj.codetec.selectedIndex].value == '-1'))
	{
		messerr += "\nVous devez choisir un technicien responsable du dossier.";
		document.getElementById("f_codetec").className = 'rubfrmrelief';
		document.int_maj.codetec.focus();
		ouvrefen = false;
	}
	else
	{
		document.getElementById("f_codetec").className = 'rubfrm';
	}

	if (ouvrefen==true)
	{
		document.getElementById("f_tect").className = 'rubfrm';
		document.getElementById("f_duree").className = 'rubfrm';
		document.getElementById("f_codetec").className = 'rubfrm';
		fensaisie(page,largeur,hauteur,options);
	}
	else
	{
		alert (messerr);
	}
}

<!-- Fonction pour ouvrir une fenêtre de gestion des sites en fonction de la zone de texte "nom de société" -->
function fen_sites_client(codeclient)
{
	if ((codeclient) && (codeclient!=''))
	{
		fensaisie('scli_maj.php?cc='+codeclient,910,660,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre de détail client en fonction du code -->
function fen_det_cli(codecli)
{
	fensaisie('log_detc.php?cc='+codecli,1024,450,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
}

<!-- Fonction pour ouvrir une fenêtre de détail ip en fonction du numéro IP -->
function fen_det_ip(codeip)
{
	fensaisie('log_trace.php?ip='+codeip,1024,600,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
}

<!-- Fonction pour ouvrir une fenêtre de détail d'un fichier -->
function fen_det_fic(no_fic)
{
	if ((no_fic) && (no_fic!='') && (no_fic!='-1'))
	{
		fensaisie('aff_detfic.php?fic='+no_fic,800,500,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');
	}
}

<!-- Fonction pour ouvrir une fenêtre d'impression d'un texte si pas par email -->
function fen_prev_client(nprev,contr)
{
	if ((nprev) && (nprev!=""))
	{
		if ((parseInt(nprev)>=1) && (parseInt(nprev)<=3))
		{
			var messalerte="Ce client doit être prévenu par ";
			switch (nprev)
			{
				case 1 :
					messalerte+="téléphone";
					break;
				case 2 :
					messalerte+="fax ou par courrier";
					break;
				case 3 :
					messalerte+="SMS";
					break;
				default :
					break;
			}
			messalerte+=".\nUtilisez le document qui va sortir pour le prévenir."
			if ((contr) && (contr!=""))
				messalerte+="\nIMPORTANT :\nLe contrat "+contr+" est terminé.";
			alert(messalerte);
			window.open("prev_pdf.php","fscomp","top=0, left=0, width="+screen.width+", height="+screen.height+",status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no");
		}
	}
}


<!-- Fonction pour ouvrir la fenêtre de réouverture d'intervention -->
function fen_int_reopen(nint)
{
	if ((nint) && (nint!=""))
	{
		checkok = confirm('Merci de confirmer la réouverture de l\'intervention '+nint+'.\nSinon, cliquez sur \'Annuler\'.');
		if (checkok == true) 
		{
			var strurl="int_reopen.php?ci="+nint;
			fensaisie(strurl,900,400,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');
		}
	}
}


<!-- Fonction afficher une popup centrée -->
function popupon(idobjet)
{
	if (idobjet)
	{
		objet=document.getElementById(idobjet);
		var top=Math.floor((screen.height-objet.offsetHeight)/2);
		var left=Math.floor((screen.width-objet.offsetWidth)/2);
		objet.style.top=top+"px";
		objet.style.left=left+"px";
		objet.style.visibility="visible";		
	}
}

<!-- Fonction cacher une popup centrée -->
function popupoff(idobjet)
{
	if (idobjet)
	{
		objet=document.getElementById(idobjet);
		objet.style.visibility = "hidden";
	}
}

